{Example from http://wiki.freepascal.org/SqlDBHowto}
program CreateTable;
uses sqldb, pqconnection;

var 
  AConnection : TSQLConnection;
  ATransaction : TSQLTransaction;
 
Procedure CreateConnection;
begin
  AConnection := TPQConnection.Create(nil);
  AConnection.Hostname := 'localhost';
  AConnection.DatabaseName := 'my_database';
  AConnection.UserName := 'postgres';
  AConnection.Password := 'paswd';
end;
 
procedure CreateTransaction;
begin
  ATransaction := TSQLTransaction.Create(nil);
  ATransaction.Database := AConnection;
end;
 
function GetQuery : TSQLQuery;
begin
  Result := TSQLQuery.Create(nil);
  Result.Database := AConnection;
  Result.Transaction := ATransaction;
end;

procedure CreateTableUsingParameters;
var 
  Query : TSQLQuery;
begin
  Query := GetQuery;
  Query.SQL.Text := 'create table TBLNAMES2 (ID integer, NAME varchar(40));';
  Query.ExecSQL;
 
  Query.SQL.Text := 'insert into TBLNAMES2 (ID,NAME) values (:ID,:NAME);';
 
  Query.Params.ParamByName('NAME').AsInteger := 1;
  Query.Params.ParamByName('ID').AsString := 'Name1';
  Query.ExecSQL;
 
  Query.Params.ParamByName('ID').AsInteger := 2;
  Query.Params.ParamByName('NAME').AsString := 'Name2';
  Query.ExecSQL;
 
  Query.Close;
  Query.Free;
end;

begin
  CreateConnection;
  CreateTransaction;
  AConnection.Transaction := ATransaction;
  AConnection.Open;
  ATransaction.StartTransaction;
  CreateTableUsingParameters;
  ATransaction.Commit; 
  AConnection.Close;
  AConnection.Free;
  ATransaction.Free;
end.
   